--[[
GridAlert : Detox

Provides an audible notification when any one in the raid gains a debuff that
the player can dispell.

Note that "what the player can dispell" really means what the player's class is
expected to be able to dispell at level 60.
]]

local GridAlertDetox = GridAlert:NewModule("GridAlertDetox")

function GridAlertDetox:RegisterAlerts()
	if self.core:HasAlert(self.name) then
		self.core:RemoveAlert(self.name)
	end
	local _, c = UnitClass("player")
	local t = self.core.db.profile.triggers
	if c == "MAGE" then
		t.debuff_curse.gain.any = self.name
		t.debuff_disease.gain.any = nil
		t.debuff_magic.gain.any = nil
		t.debuff_poison.gain.any = nil
	elseif c == "DRUID" then
		t.debuff_curse.gain.any = self.name
		t.debuff_disease.gain.any = nil
		t.debuff_magic.gain.any = nil
		t.debuff_poison.gain.any = self.name
	elseif c == "PALADIN" then
		t.debuff_curse.gain.any = nil
		t.debuff_disease.gain.any = self.name
		t.debuff_magic.gain.any = self.name
		t.debuff_poison.gain.any = self.name
	elseif c == "SHAMAN" then
		t.debuff_curse.gain.any = nil
		t.debuff_disease.gain.any = self.name
		t.debuff_magic.gain.any = nil
		t.debuff_poison.gain.any = self.name
	elseif c == "PRIEST" then
		t.debuff_curse.gain.any = nil
		t.debuff_disease.gain.any = self.name
		t.debuff_magic.gain.any = self.name
		t.debuff_poison.gain.any = nil
	else
		return
	end
	self.core:SetAlertSoundOptions(self.name, nil, "Sound\\interface\\AuctionWindowOpen.wav", nil, 0.5)
end

function GridAlertDetox:OnInitialize()
	self.super.OnInitialize(self)

	self:RegisterAlerts()
end
